/[gentoo-x86]/profiles/package.mask
Gentoo

Contents of /profiles/package.mask

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.14467 - (show annotations) (download)
Wed Feb 13 08:52:27 2013 UTC (19 months, 1 week ago) by eras
Branch: MAIN
Changes since 1.14466: +5 -5 lines
Mask mail-mta/postfix-2.11 and unmask mail-mta/postfix-2.10

1 ####################################################################
2 # $Header: /var/cvsroot/gentoo-x86/profiles/package.mask,v 1.14466 2013/02/12 16:04:45 ssuominen Exp $
3 #
4 # When you add an entry to the top of this file, add your name, the date, and
5 # an explanation of why something is getting masked. Please be extremely
6 # careful not to commit atoms that are not valid, as it can cause large-scale
7 # breakage, especially if it ends up in the daily snapshot.
8 #
9 ## Example:
10 ##
11 ## # Dev E. Loper <developer@gentoo.org> (28 Jun 2012)
12 ## # Masking these versions until we can get the
13 ## # v4l stuff to work properly again
14 ## =media-video/mplayer-0.90_pre5
15 ## =media-video/mplayer-0.90_pre5-r1
16 #
17 # - Best last rites (removal) practices -
18 # Include the following info:
19 # a) reason for masking
20 # b) bug # for the removal (and yes you should have one)
21 # c) date of removal (either the date or "in x days")
22 # d) the word "removal"
23 #
24 ## Example:
25 ##
26 ## Dev E. Loper <developer@gentoo.org> (25 Jan 2013)
27 ## Masked for removal in 30 days. Doesn't work
28 ## with new libfoo. Upstream dead, gtk-1, smells
29 ## funny. (bug #987654)
30 ## app-misc/some-package
31
32 #--- END OF EXAMPLES ---
33
34 # Eray Aslan <eras@gentoo.org> (13 Feb 2013)
35 # Mask experimental software
36 =mail-mta/postfix-2.11*
37
38 # Ian Delaney <idella4@gentoo.org> (12 Feb 2013)
39 # This is a work in progress targeting an old bug
40 # but followed by very keen users. It will be either
41 # abandonned or implemented down the track pending further support
42 =app-emulation/xen-tools-4.2.1-r2
43
44 # Samuli Suominen <ssuominen@gentoo.org> (11 Feb 2013)
45 # The 3 files from this package are part of the linux-firmware
46 # package now. Removal in 30 days.
47 media-tv/cx18-firmware
48
49 # Hans de Graaff <graaff@gentoo.org> (11 Feb 2013)
50 # No longer supported upstream even for security bugs.
51 # Port your application to another version of Rails.
52 # The Rails 3.0 version in the tree has security issues
53 # and no new 3.0 versions will be released anymore.
54 # Removal in 30 days.
55 dev-ruby/rails:3.0
56 dev-ruby/railties:3.0
57 dev-ruby/activerecord:3.0
58 dev-ruby/actionmailer:3.0
59 dev-ruby/actionpack:3.0
60 dev-ruby/activeresource:3.0
61 dev-ruby/activemodel:3.0
62 dev-ruby/activesupport:3.0
63 dev-ruby/arel:2.0
64 dev-ruby/i18n:0.5
65 dev-ruby/rack-mount:0.6
66 dev-ruby/rack-test:0.5
67 dev-ruby/mysql2:0.2
68
69 # Doug Goldstein <cardoe@gentoo.org> (10 Feb 2013)
70 # Use the in-kernel saa717x driver, available since at least 2.6.25
71 # Removal in 30 days
72 media-tv/ivtv
73
74 # Matt Turner <mattst88@gentoo.org> (10 Feb 2013)
75 # Use the in-kernel AT76C50X_USB driver.
76 # Removal in 30 days.
77 net-wireless/at76c503a
78
79 # Doug Goldstein <cardoe@gentoo.org> (10 Feb 2013)
80 # For most use cases you can unmask this and use this
81 # as there has been ample interested. This however breaks
82 # a number of features fundamental to me.
83 # * migration from previous versions is broken and migration
84 # to future versions is broken
85 # * snapshoting (blockcommit) is not safe/stable as it will
86 # report success when the write has not completed
87 # Upstream considers this series EOL and recommends 1.4
88 # which at the time of this writing is unreleased. So
89 # this is in the tree for people that want/need it but its masked.
90 =app-emulation/qemu-1.3.1
91
92 # Pacho Ramos <pacho@gentoo.org> (10 Feb 2013)
93 # Upstream dropped support for linux time ago (#434390),
94 # possible security issues (#360539). You can use Windows
95 # version with PlayOnLinux. Removal in a month.
96 media-gfx/picasa
97
98 # Pacho Ramos <pacho@gentoo.org> (10 Feb 2013)
99 # Abandoned by upstream, problems building (#362611).
100 # Removal in a month.
101 dev-python/papyon
102 net-voip/telepathy-butterfly
103
104 # Pacho Ramos <pacho@gentoo.org> (10 Feb 2013)
105 # Doesn't support kernel >= 2.6.22, #453202. Removal in a month.
106 x11-misc/xdaf
107
108 # Samuli Suominen <ssuominen@gentoo.org> (10 Feb 2013)
109 # The firmware cleanup, part #1. Can be unmasked after
110 # cleaning up the package if it's still needed.
111 # Some of these install to wrong directory, /lib64/firmware
112 # as opposed to correct /lib/firmware
113 # Some of these don't have maintainer
114 # Some of these are replaced by the firmware from the
115 # linux-firmware package:
116 # emerge -av linux-firmware
117 # If you still have a reason to keep the package, please
118 # let us know by filing a bug report.
119 # Removal in 30 days
120 net-wireless/ar9271-firmware
121 net-wireless/libertas-firmware
122 net-wireless/rt2860-firmware
123 net-wireless/rt2870-firmware
124 net-wireless/rt61-firmware
125 net-wireless/rt73-firmware
126 net-wireless/i2400m-fw
127
128 # Samuli Suominen <ssuominen@gentoo.org> (10 Feb 2013)
129 # There is no license file available for prism54-firmware
130 # since it's been extracted from windows binary blob
131 # drivers. And this is for very old hardware.
132 # Removal in 30 days
133 net-wireless/prism54-firmware
134
135 # Rick Farina <zerochaos@gentoo.org> (10 Feb 2013)
136 # This firmware has been replaced by rtlwifi/*
137 # which is already in the linux-firmware package.
138 # Removal in 30 days
139 net-wireless/rtl8192su-firmware
140
141 # Ryan Hill <dirtyepic@gentoo.org> (07 Feb 2013)
142 # Breaks everything (bug #456108)
143 =dev-libs/openssl-1.0.1d
144
145 # Diego Elio Pettenò <flameeyes@gentoo.org> (05 Feb 2013)
146 # Needs a complete ebuild rewrite to use CMake, and a new patchset to
147 # unbundle the bundled libraries. Use at your own risk; don't ask for
148 # a bump unless you can provide the two needed items.
149 media-gfx/blender
150
151 # Michael Sterrett <mr_bones_@gentoo.org> (31 Jan 2013)
152 # Old, dead upstream and require guile[deprecated]
153 # Masked for removal on 20130302
154 games-action/trackballs
155 games-misc/gnurobots
156
157 # Michael Sterrett <mr_bones_@gentoo.org> (31 Jan 2013)
158 # Upstream is dead and gone.
159 # Masked for removal on 20130302
160 games-arcade/bitefusion
161
162 # Rafael G. Martins <rafaelmartins@gentoo.org> (31 Jan 2013)
163 # Renamed to xombrero. Please install www-client/xombrero (bug #417555)
164 # The package was not pkg-moved to fix the upstream versioning mess.
165 # Removal in 30 days
166 www-client/xxxterm
167
168 # Michael Sterrett <mr_bones_@gentoo.org> (28 Jan 2013)
169 # Doesn't work with newer KDE and upstream seems dead (bug #453756)
170 # Masked for removal on 20130227
171 games-puzzle/kmagnet
172
173 # Samuli Suominen <ssuominen@gentoo.org> (28 Jan 2013)
174 # Uncompatible with current udev and baselayout
175 # Bug 220121 and the ones it Blocks
176 # Removal in 30 days
177 x11-misc/mkxf86config
178 <app-misc/livecd-tools-2.0
179
180 # Alexandre Rostovtsev <tetromino@gentoo.org> (28 Jan 2013)
181 # Beta versions masked for testing
182 =net-misc/modemmanager-0.7*
183 =net-misc/networkmanager-0.9.7*
184
185 # Tim Harder <radhermit@gentoo.org> (27 Jan 2013)
186 # Masked due to deprecated API, use dev-python/PyGithub instead
187 # Removal in 30 days
188 dev-python/github2
189
190 # Diego Elio Pettenò <flameeyes@gentoo.org> (25 Jan 2013)
191 # Masked for testing
192 >=dev-libs/boost-1.53.0_beta1
193 >=dev-util/boost-build-1.53.0_beta1
194
195 # Julian Ospald <hasufell@gentoo.org> (25 Jan 2013)
196 # functionality now provided by >=net-misc/youtube-viewer[gtk]-3.0.3
197 # bug 453580, removal in 30 days
198 net-misc/gtk-youtube-viewer
199
200 # Doug Goldstein <cardoe@gentoo.org> (22 Jan 2013)
201 # Masked for development
202 =sys-block/open-iscsi-2.0.873
203
204 # Doug Goldstein <cardoe@gentoo.org> (20 Jan 2013)
205 # Under development, feel free to test and report back
206 =app-emulation/qemu-1.2.2-r100
207
208 # Hans de Graaff <graaff@gentoo.org> (20 Jan 2013) Mask
209 # dev-lang/ruby-enterprise for removal, bug 453178. The current
210 # versions have minor security issues, the latest versions are masked
211 # and don't work, and upstream announced end-of-life almost a year
212 # ago. Ruby 1.9 has almost all of the benefits of REE, so the
213 # recommendation is to switch to that if you are still using REE.
214 dev-lang/ruby-enterprise
215
216 # Ben de Groot <yngwin@gentoo.org> (20 Jan 2013)
217 # 2.5* has known security and other issues due to bundled ffmpeg,
218 # see (bugs #446468 and #444262)
219 # 2.6* is masked for testing, and may have unknown issues due to bundled ffmpeg
220 # This package needs a new, dedicated maintainer. We voted for keeping it in
221 # the tree for now, so users who are willing to accept the known issues can
222 # still easily install it by unmasking this.
223 media-video/avidemux
224
225 # Marien Zwart <marienz@gentoo.org>
226 # Patch tarball is broken, meaning this builds 1.2.0 (bug #452918)
227 =app-emulation/qemu-1.2.2-r1
228
229 # Mike Pagano <mpagano@gentoo.org>
230 # Mask for testing
231 >=app-portage/portpeek-2.1.6
232
233 # Mike Gilbert <floppym@gentoo.org (18 Jan 2013)
234 # Release made by unofficial maintainer. Drops support for Python 3 with
235 # very few improvements. Should be replaced by dev-python/charade eventually.
236 =dev-python/chardet-2.1.1
237
238 # Pacho Ramos <pacho@gentoo.org>
239 # Dead since 2003, doesn't work with journaling filesystems.
240 # Also collides with dev-util/smem (#288721). Removal in a month.
241 app-misc/secure-delete
242
243 # Pacho Ramos <pacho@gentoo.org>
244 # No upstream, doesn't work well (#350559). Removal in a month.
245 app-misc/ccal
246
247 # Pacho Ramos <pacho@gentoo.org>
248 # Upstream dead for a long time, broken php support (#356841).
249 # Removal in a month.
250 www-apache/mod_vhs
251
252 # Pacho Ramos <pacho@gentoo.org>
253 # Still uses depend.php (#449820), upstream dead for ages and
254 # newer versions don't work. Removal in a month.
255 www-apps/online-bookmarks
256
257 # Pacho Ramos <pacho@gentoo.org>
258 # It's for kernel-2.4 only (#450594). Removal in a month.
259 sys-apps/i2c
260
261 # Michał Górny <mgorny@gentoo.org>
262 # Unmaintained and replaced by built-in sqlite3 module in Python.
263 # Masked for removal in 30 days, bug 452122.
264 >=dev-python/pysqlite-2
265
266 # Maciej Mrozowski <reavertm@gentoo.org>
267 # API change breaks packages, bug 449534.
268 =app-text/poppler-0.22.0
269
270 # Alexis Ballier <aballier@gentoo.org>
271 # Not really compatible with TeX Live 2012, breaks texdoc, produces some non
272 # fatal errors in some documents, mask until fixed or TeX Live 2013 is out.
273 >=dev-tex/luatex-0.74
274
275 # Pawel Hajdan jr <phajdan.jr@gentoo.org> (14 Jan 2013)
276 # Dev channel releases are only for people who are developers or want more
277 # experimental features and accept a more unstable release.
278 >=www-client/chromium-26
279
280 # Pawel Hajdan jr <phajdan.jr@gentoo.org> (14 Jan 2013)
281 # Mask v8 versions used for www-client/chromium dev channel releases.
282 >=dev-lang/v8-3.16
283
284 # Mike Gilbert <floppym@gentoo.org> (13 Jan 2013)
285 # Dev channel releases are only for people who are developers or want more
286 # experimental features and accept a more unstable release.
287 >=www-client/google-chrome-26
288
289 # Tim Harder <radhermit@gentoo.org> (13 Jan 2013)
290 # Masked for testing
291 =mail-client/roundcube-0.9*
292
293 # Doug Goldstein <cardoe@gentoo.org> (12 Jan 2013)
294 # Under development
295 =app-emulation/qemu-1.3.0
296
297 # Sergey Popov <pinkbyte@gentoo.org> (12 Jan 2013)
298 # Does not build(bug #450850), upstream is dead for ages
299 # nothing depends on it in tree
300 # Removal in 30 days
301 dev-libs/libole2
302
303 # Jeroen Roovers <jer@gentoo.org> (09 Jan 2013)
304 # Testing branch, unstable upstream
305 >net-nntp/tin-2.1
306
307 # Torsten Veller <tove@gentoo.org> (08 Jan 2013)
308 # Mask dev-perl/Class-MOP. It was merge with dev-perl/Moose-2.
309 # Now as the last arch stabilized Moose-2, dev-perl/Class-MOP will be removed.
310 # bug #350612
311 dev-perl/Class-MOP
312
313 # Alexander Vershilov <qnikst@gentoo.org> (06 Jan 2013)
314 # Requires >=net-fs/samba-4 (bug #450226)
315 >=sys-auth/sssd-1.9.3
316
317 # Sergei Trofimovich <slyfox@gentoo.org> (05 Jan 2013)
318 # Masked for testing. Is not compatible with cvsps-2 (bug #450424).
319 # But can be used on it's own! Try 'cvsps --fast-export'.
320 >=dev-vcs/cvsps-3
321
322 # Chí-Thanh Christopher Nguyễn <chithanh@gentoo.org> (04 Jan 2013)
323 # Mask some prerelease x11 packages
324 =x11-base/xorg-server-1.13.99*
325 =x11-libs/libXi-1.6.99*
326 =x11-proto/inputproto-2.2.99*
327
328 # Sergei Trofimovich <slyfox@gentoo.org> (01 Jan 2013)
329 # Masked for removal (moved to haskell overlay).
330 # Fails to build (bug #423763). Needs severe code cleanup
331 # for modern ghc.
332 dev-haskell/wash
333
334 # Sergei Trofimovich <slyfox@gentoo.org> (28 Dec 2012)
335 # Masked as needs masked version of wxGTK:2.9:
336 dev-haskell/wxc:2.9
337 dev-haskell/wxcore:2.9
338 dev-haskell/wxhaskell:2.9
339
340 # Chí-Thanh Christopher Nguyễn <chithanh@gentoo.org> (25 Dec 2012)
341 # Does not build against modern kernels or X servers. Users of pre-HD5000
342 # Radeon hardware should use 12.6_beta_pre897 ("12.6 Legacy") instead.
343 =x11-drivers/ati-drivers-12.4
344
345 # Panagiotis Christopoulos <pchrist@gentoo.org> (25 Dec 2012)
346 # mask again these, temporarily, because more testing must be done.
347 >=dev-lisp/gentoo-init-1.0
348 >=dev-lisp/asdf-2.26
349 >=dev-lisp/sbcl-1.1.2
350
351 # Christian Ruppert <idl0r@gentoo.org> (22 Dec 2012)
352 # Experimental
353 =net-proxy/haproxy-1.5*
354
355 # Sven Wegener <swegener@gentoo.org> (21 Dec 2012)
356 # temporary mask for socket location change
357 =app-misc/screen-4.0.3-r8
358
359 # Rick Farina <zerochaos@gentoo.org> (21 Dec 2012)
360 # madwifi has been replaced by ath5k and ath9k in kernel
361 # drivers and is subject to numerous long standing bugs
362 # stable wpa_supplicant sometimes wants madwifi-ng-tools
363 #net-wireless/madwifi-ng-tools
364 net-wireless/madwifi-ng
365
366 # Julian Ospald <hasufell@gentoo.org> (20 Dev 2012)
367 # old and subject to removal
368 # version scheme collides with new release
369 =games-roguelike/tomenet-100310
370
371 # Anthony G. Basile <blueness@gentoo.org> (17 Dec 2012)
372 # Masked for removal in 30 days. (17 Jan 2012)
373 # This is provided by USE=xtended webalizer, bug #445226
374 app-admin/webalizer-xtended
375
376 # Michał Górny <mgorny@gentoo.org> (07 Dec 2012)
377 # Experimental version disabling XDM-AUTHENTICATION-1 (in favor
378 # of MIT-MAGIC-COOKIE-1). It should fix bug #306223 but it can also
379 # raise unknown issues. Bug #445662 for more details.
380 =x11-apps/xdm-1.1.11-r2
381
382 # Tim Harder <radhermit@gentoo.org> (27 Nov 2012)
383 # Masked for testing
384 =media-libs/libsfml-2*
385
386 # Pacho Ramos <pacho@gentoo.org> (24 Nov 2012)
387 # Doesn't build with current kernels (#351225), some work is done
388 # by Ubuntu users but a lot of mantainance work is still needed
389 # and nobody will take care of it now (#351225#c7).
390 # Looks like a proxy maintainer is working on this...
391 net-dialup/hsfmodem
392
393 # Richard Freeman <rich0@gentoo.org> (24 Nov 2012)
394 # Live ebuild.
395 =app-misc/sleepyhead-9999
396
397 # Robin H. Johnson <robbat2@gentoo.org> (18 Nov 2012)
398 # Dead upstream, replaced by gitolite
399 dev-vcs/gitosis
400 dev-vcs/gitosis-gentoo
401
402 # Ole Markus With <olemarkus@gentoo.org> (15 Nov 2012)
403 # Masked for testing
404 >=dev-lang/php-5.4.9999
405
406 # Diego Elio Pettenò <flameeyes@gentoo.org> (14 Nov 2012)
407 # Masked for testing as too many packages fail.
408 # See bug #443230 for tracking the progress
409 =media-video/libav-9.1*
410 ~virtual/ffmpeg-9
411 =media-plugins/gst-plugins-libav-1.1*
412 ~media-plugins/gst-plugins-ffmpeg-0.10.13_p201211
413
414 # Joerg Bornkessel <hd_brummy@gentoo.org> (04 Nov 2012)
415 # masked for testing, bug #422605
416 =media-plugins/vdr-softdevice-0.5.0.20110417
417
418 # Markos Chandras <hwoarang@gentoo.org> (03 Nov 2012)
419 # Masked for testing
420 app-benchmarks/ltp
421
422 # Ulrich Müller <ulm@gentoo.org> (02 Nov 2012)
423 # Emacs live ebuilds. Use at your own risk.
424 ~app-editors/emacs-vcs-24.2.9999
425 ~app-editors/emacs-vcs-24.3.9999
426
427 # Alexis Ballier <aballier@gentoo.org> (1 Nov 2012)
428 # Still requires ocaml-3, mask it until it is ported. If this does not happen in
429 # the near future, we should consider removing it.
430 dev-ml/ocamlduce
431
432 # Diego Elio Pettenò <flameeyes@gentoo.org> (1 Nov 2012)
433 # See tracker bug #440342. Will probably require GNOME 3.6 to be
434 # unmasked first.
435 =dev-libs/libtasn1-3*
436
437 # Sébastien Fabbro <bicatali@gentoo.org> (31 Oct 2012)
438 # live ebuild
439 =sys-fs/redirfs-9999
440
441 # Gilles Dartiguelongue <eva@gentoo.org> (25 Oct 2012)
442 # Too broken to be used but adding for testing purpose (bug #438560)
443 =media-sound/rhythmbox-2.98
444
445 # Pacho Ramos <pacho@gentoo.org> (25 Oct 2012)
446 # obexd changed its API without any warning, it's recommended to ship
447 # 0.46 until https://bugzilla.gnome.org/682106 is fixed to prevent
448 # bluetooth-sendto breakage.
449 >=app-mobilephone/obexd-0.47
450
451 # Eray Aslan <eras@gentoo.org> (24 Oct 2012)
452 # Mask experimental software
453 =mail-client/squirrelmail-1.4.23*
454
455 # Sergey Popov <pinkbyte@gentoo.org> (22 Oct 2012)
456 # Mask net-misc/libteam snapshot ebuilds until release
457 net-misc/libteam
458
459 # Michael Palimaka <kensington@gentoo.org> (19 Oct 2012)
460 # New major release breaks almost all existing consumers.
461 # Masked until each package can update its dependencies.
462 >=net-libs/libotr-4.0.0
463 >=x11-plugins/pidgin-otr-4.0.0
464
465 # Tim Harder <radhermit@gentoo.org> (15 Oct 2012)
466 # Mask development releases
467 =media-libs/libraw-0.15*
468
469 # Robin H. Johnson <robbat2@gentoo.org> (08 Oct 2012)
470 # Masked for testing
471 =sys-libs/db-5.3*
472 =sys-libs/db-5.2*
473 =sys-libs/db-5.1*
474 =sys-libs/db-5.0*
475
476 # Richard Yao <ryao@gentoo.org> (06 Oct 2012)
477 # sys-apps/grep-2.13 falsely reports some files as binary, causing build
478 # failures. Bug #425668
479 =sys-apps/grep-2.13
480
481 # Tim Harder <radhermit@gentoo.org> (01 Sep 2012)
482 # Mask development releases
483 =media-sound/lilypond-2.17*
484
485 # Markos Chandras <hwoarang@gentoo.org> (17 August 2012)
486 # Masked for testing. Required by dev-lang/jimctl-0.73
487 =dev-embedded/openocd-0.6.1
488
489 # Benedikt Böhm <hollow@gentoo.org> (11 Aug 2012)
490 # Regression in iproute code, does not detect IP addresses correctly anymore.
491 ~dev-ruby/ohai-6.14.0
492
493 # Jeroen Roovers <jer@gentoo.org> (2 Aug 2012)
494 # Development version
495 >app-admin/sysstat-10.1
496
497 # Ralph Sennhauser <sera@gentoo.org> (18 Jul 2012)
498 # Unmaintained, multiple vulnarabilities. #351626
499 # A more recent source build maintained by the community is available in the
500 # seden overlay. A more recent binary is available in the java-overlay.
501 <=dev-util/eclipse-sdk-3.5.1-r1
502
503 # Michael Weber <xmw@gentoo.org> (07 Jul 2012)
504 # Masked for testing only beta (bug 424866)
505 =sci-electronics/eagle-6.2.1_beta
506
507 # Michael Weber <xmw@gentoo.org> (29 Jun 2012)
508 # Masking for security reasons (bug 424025, CVE-2012-3366)
509 # Users of trigger plugin, update asap.
510 <app-admin/bcfg2-1.2.2-r1
511
512 # Andreas K. Huettel <dilfridge@gentoo.org> (25 Jun 2012)
513 # Mask live ebuild
514 =net-print/cups-9999
515
516 # Maxim Koltsov <maksbotan@gentoo.org> (21 Jun 2012)
517 # It's not what it's called now, mask it not protect people
518 =dev-util/febootstrap-3*
519
520 # Ian Stakenvicius <axs@gentoo.org> (19 Jun 2012)
521 # Mask new spidermonkey until rdeps can accept it
522 ~dev-lang/spidermonkey-1.8.7
523
524 # Michael Weber <xmw@gentoo.org> (13 Jun 2012)
525 # Mask beta versions for testing
526 >sci-electronics/magic-8
527 >sci-electronics/xcircuit-3.8
528
529 # Justin Lecher <jlec@gentoo.org> (13 Jun 2012)
530 # Justin Lecher <jlec@gentoo.org> (01 Nov 2012)
531 # Mask old version numbers
532 # Shows newest unstable to users easily
533 >=sci-biology/ncbi-tools-20080302
534 >=sci-chemistry/dssp-070831
535 >=sci-biology/ncbi-tools++-2010.06.15
536
537 # Patrick Lauer <patrick@gentoo.org> (06 Jun 2012)
538 # Temporarily mask nginx >=1.3 see #411937
539 >=www-servers/nginx-1.3
540
541 # Markos Chandras <hwoarang@getnoo.org> (27 May 2012)
542 # Mask alpha release
543 =sci-electronics/qelectrotech-0.30_alpha*
544
545 # Alexis Ballier <aballier@gentoo.org> (26 May 2012)
546 # API/ABI has changed with this release.
547 # Mask until the tree is fine.
548 # https://bugs.gentoo.org/show_bug.cgi?id=417677
549 >=media-video/ffmpeg-0.11
550
551 # Benda Xu <heroxbd@gentoo.org> (20 May 2012)
552 # geant-4.9.5_p01 has a major class declaration change that renders
553 # geant-python (g4py upstream) unable to compile
554 # upstream bug http://bugzilla-geant4.kek.jp/show_bug.cgi?id=1317
555 =sci-physics/geant-python-4.9.5_p01
556
557 # Alexandre Rostovtsev <tetromino@gentoo.org> (20 May 2012)
558 # Requires dev-scheme/guile-2.0.5 which is in lisp overlay and masked;
559 # bug #416683
560 >=games-board/aisleriot-3.3.1
561
562 # Ultrabug <ultrabug@gentoo.org> (16 May 2012)
563 # Masked for testing
564 >=sys-cluster/corosync-2.0.0
565
566 # Alistair Bush <ali_bush@gentoo.org> (10 May 2012)
567 # Mask alpha version of mono for testing
568 >=dev-lang/mono-2.11.1
569 >=dev-util/mono-tools-2.11
570 >=virtual/monodoc-2.11
571
572 # Johannes Huber <johu@gentoo.org> (03 May 2012)
573 # Unstable dev channel release. Fixes build with gcc47
574 # (bug #413941).
575 >=media-sound/mp3diags-1.1
576
577 # Robin H. Johnson <robbat2@gentoo.org> (09 Feb 2012)
578 # Needs to be slotted better
579 =dev-libs/yaz-4*
580
581 # Maxim Koltsov <maksbotan@gentoo.org> (19 Apr 2012)
582 # Broken, masking by maintainer's request
583 net-ftp/leechcraft-lcftp
584 net-p2p/leechcraft-eiskaltdcpp
585
586 # Jeroen Roovers <jer@gentoo.org> (04 Apr 2012)
587 # Alpha versions of dev-libs/libevent are considered unstable
588 >dev-libs/libevent-2.1
589
590 # Andreas K. Huettel <dilfridge@gentoo.org> (22 Mar 2012)
591 # Even its author admits that it's an ugly hack. Crashes e.g.
592 # firefox with kde-4.8. Unmask at your own risk.
593 kde-misc/kgtk
594
595 # Samuli Suominen <ssuominen@gentoo.org> (06 Mar 2012)
596 # Masked for testing since this is known to break nearly
597 # every reverse dependency wrt bug 407091
598 >=dev-lang/lua-5.2.0
599
600 # Sébastien Fabbro <bicatali@gentoo.org> (26 Feb 2012)
601 # Needs development version x11-libs/wxGTK
602 >=sci-visualization/fityk-1.1
603
604 # Michał Górny <mgorny@gentoo.org> (21 Jan 2012)
605 # Blocks sysvinit yet doesn't provide all tools provided by it.
606 # Masking until we get the necessary tools out of sysvinit.
607 sys-apps/systemd-sysv-utils
608
609 # Jeroen Roovers <jer@gentoo.org> (27 Mar 2012)
610 # Opera Next and Opera snapshots are unsupported and eternally unstable.
611 # <http://my.opera.com/desktopteam/blog>
612 www-client/opera-next
613
614 # Ulrich Mueller <ulm@gentoo.org> (13 Dec 2011)
615 # SLOTs 21 and 22 of app-editors/emacs, corresponding to
616 # GNU Emacs versions 21.4 and 22.3. These versions were
617 # released in February 2005 and September 2008, respectively.
618 # Please upgrade to >=app-editors/emacs-23 and update your
619 # Emacs Lisp packages with emacs-updater.
620 # Keeping these versions in the tree masked indefinitely,
621 # by popular request. Bug 394589.
622 =app-editors/emacs-21*
623 =app-editors/emacs-22*
624 <virtual/emacs-23
625
626 # Christoph Junghans <ottxor@gentoo.org> (15 Nov 2011)
627 # current version of google-talkplugin never clear what you get
628 =www-plugins/google-talkplugin-9999
629
630 # Diego E. Pettenò <flameeyes@gentoo.org> (30 Oct 2011)
631 # Working on more reliable versioning, consider experimental for now.
632 >=dev-lang/luajit-2.0.0_beta8
633
634 # Samuli Suominen <ssuominen@gentoo.org> (30 Oct 2011)
635 # Masked for security bug #294253, use only at your own risk!
636 =media-libs/fmod-3*
637 games-puzzle/candycrisis
638 games-simulation/stoned-bin
639 games-sports/racer-bin
640 games-strategy/dark-oberon
641 games-strategy/savage-bin
642
643 # MATSUU Takuto <matsuu@gentoo.org> (27 Oct 2011)
644 # Mask for testing
645 >=sys-devel/distcc-3.2_rc1
646
647 # Justin Bronder <jsbronder@gentoo.org> (27 Sep 2011)
648 # Masking the torque 2.3 series due to bug #372959. This allows
649 # sites that are ok with the vulnerability but prefer the stability
650 # of 2.3.x to continue to get updates (if any).
651 <sys-cluster/torque-2.4
652 dev-perl/perl-PBS
653
654 # Joerg Bornkessel <hd_brummy@gentoo.org> (17 Sep 2011)
655 # media-video/vdr-xvdr-9999, masked git live ebuild
656 =media-plugins/vdr-xvdr-9999
657
658 # Alexis Ballier <aballier@gentoo.org> (20 Aug 2011)
659 # dev-tex/pdftex-1.40.11 is 100% identical to the one in TeX Live 2010;
660 # TeX Live 2011 has a newer version, which makes the standalone package useless;
661 # mask it for now, we'll see about removing it later.
662 dev-tex/pdftex
663
664 # Robin H. Johnson <robbat2@gentoo.org> (01 Nov 2012)
665 # Update of mask to 5.6 instead of 5.5
666 # Jorge Manuel B. S. Vicetto <jmbsvicetto@gentoo.org> (28 Jul 2011)
667 # A new update of the mysql / mariadb mask
668 # Robin H. Johnson <robbat2@gentoo.org> (01 Feb 2010)
669 # Mask 5.6/6.0 series that are alpha and and crazy experimental.
670 # Mask 5.2/5.3 virtual that exists in the overlay as well (it is MariaDB only)
671 >=dev-db/mariadb-5.6
672 >=dev-db/mysql-5.6
673 >=virtual/mysql-5.6
674 =dev-db/mariadb-5.2*
675 =virtual/mysql-5.2*
676 =dev-db/mariadb-5.3*
677 =virtual/mysql-5.3*
678
679 # Peter Volkov <pva@gentoo.org> (23 Jul 2011)
680 # Mask release candidates
681 =dev-libs/guiloader-2.99.0
682 =dev-libs/guiloader-c++-2.99.0
683 =dev-util/crow-designer-2.99.0
684
685 # Jorge Manuel B. S. Vicetto <jmbsvicetto@gentoo.org> (15 July 2011)
686 # Masking mariadb-5.1.55 until we have feedback about the unit tests
687 # as they build for me but fail for Robin
688 ~dev-db/mariadb-5.1.55
689
690 # Justin Lecher <jlec@gentoo.org> (27 Jun 2011)
691 # Only avalable version isn't in the tree.
692 # Mask until it is bumped
693 sci-chemistry/webmo
694
695 # Torsten Veller <tove@gentoo.org> (18 Jun 2011)
696 # Mask perl-5.14. See tracker bug #356171
697 =dev-lang/perl-5.14*
698
699 # Hans de Graaff <graaff@gentoo.org> (15 May 2011)
700 # Mask new versions until thread-related crashes have been fixed.
701 # See bug 367423.
702 =dev-lang/ruby-enterprise-1.8.7.2011.03
703 =dev-lang/ruby-enterprise-1.8.7.2012.02
704
705 # Alexis Ballier <aballier@gentoo.org> (20 Apr 2011)
706 # Tiziano Müller <dev-zero@gentoo.org> (11 Aug 2010)
707 # Breaks net-voip/sflphone, non maintainer update, but is needed by
708 # media-video/ffmpeg
709 >=media-libs/celt-0.8.1
710
711 # Marijn Schouten <hkBst@gentoo.org> (07 April 2011)
712 # Masked for number of issues, but can be used to
713 # test against if people are impatient ;P
714 # Known issues:
715 # - Broken emacs support (ulm has promised to look)
716 # - doesn't build when boehm-gc is built without threads
717 # - no SLOTting yet!
718 =dev-scheme/guile-2.0.0
719
720 # Ryan Hill <dirtyepic@gentoo.org> (02 Apr 2011)
721 # Masked for testing
722 >=sys-devel/gcc-4.7.0
723 >=sys-devel/kgcc64-4.7.0
724 >=dev-java/gcj-jdk-4.7.0
725
726 # Christian Faulhammer <fauli@gentoo.org> (12 Mar 2011)
727 # Mask for testing
728 >=www-apps/joomla-1.6.0
729
730 # Ryan Hill <dirtyepic@gentoo.org> (30 Mar 2011)
731 # Masked indefinitely (until 0.40 is released).
732 # http://bugs.gentoo.org/354423
733 >=app-pda/libopensync-0.30
734 >=app-pda/libopensync-plugin-file-0.30
735 >=app-pda/libopensync-plugin-irmc-0.30
736 >=app-pda/libopensync-plugin-palm-0.30
737 >=app-pda/libopensync-plugin-python-0.30
738 app-pda/libopensync-plugin-syncml
739 app-pda/libopensync-plugin-vformat
740 app-pda/osynctool
741
742 # Ryan Hill <dirtyepic@gentoo.org> (30 Mar 2011)
743 # Work in progress
744 # http://bugs.gentoo.org/show_bug.cgi?id=354423
745 app-pda/libopensync-plugin-evolution2
746 app-pda/libopensync-plugin-gnokii
747 app-pda/libopensync-plugin-gpe
748 app-pda/multisync-gui
749
750 # Ryan Hill <dirtyepic@gentoo.org> (22 Jan 2011)
751 # Mask development versions due to unstable API
752 # as requested by leio
753 >=dev-python/wxpython-2.9
754 >=x11-libs/wxGTK-2.9
755
756 # Michael Sterrett <mr_bones_@gentoo.org> (20 Jan 2010)
757 # testing mask for upcoming exult release
758 >=games-engines/exult-1.3
759
760 # Torsten Veller <tove@gentoo.org> (06 Jan 2011)
761 # Next step to remove old perl and libperl versions.
762 # Versions prior 5.12 are masked and will be removed when 5.14 is available.
763 # If you are a sparc-fbsd user and your only keyworded perl version was masked,
764 # test perl-5.12.2 and reply to bug 288028
765 # For other complaints go to bug 350785
766 <dev-lang/perl-5.12.2
767 <sys-devel/libperl-5.10.1
768
769 # Gilles Dartiguelongue <eva@gentoo.org> (07 Dec 2010)
770 # Part of GNOME 2.32 release set by breaks my machine as hell
771 # Needs more testing before unleashing
772 >=gnome-base/libbonobo-2.32
773
774 # Markos Chandras <hwoarang@gentoo.org> (01 Nov 2010)
775 # Masking alpha releases
776 net-analyzer/ncrack
777
778 # Peter Volkov <pva@gentoo.org> (29 Oct 2010)
779 # mask beta release
780 =net-analyzer/tcpreplay-3.4.5*
781
782 # Markos Chandras <hwoarang@gentoo.org> (26 Oct 2010)
783 # master branch is heavily broken at the moment. Use
784 # 2.0.9999 instead if you want a kmess
785 # that actually builds
786 =net-im/kmess-9999
787
788 # Luca Barbato <lu_zero@gentoo.org> (21 Jul 2010)
789 # Not ready for public consumption, clashes with current mesa-git
790 media-libs/shivavg
791
792 # Stefan Briesenick <sbriesen@gentoo.org> (21 Jul 2010)
793 # doesn't compile against latest media-libs/spandsp.
794 # not needed anymore for Asterisk 1.6.
795 net-misc/asterisk-spandsp_codec_g726
796
797 # Doug Goldstein <cardoe@gentoo.org> (07 Jul 2010)
798 # No actual Gentoo support yet. If you're interested, please see bug #295993
799 net-misc/netcf
800
801 # Justin Lecher <jlec@gentoo.org> (16 Jun 10)
802 # Just working with the masked experimental version of refmac
803 >=sci-libs/monomer-db-5.16
804
805 # Robin H. Johnson <robbat2@gentoo.org> (09 Jun 2010)
806 # Fails to self-verify/sign in FIPS mode, pending upstream response before
807 # usage for GSoC project.
808 app-crypt/hmaccalc
809
810 # Luca Barbato <lu_zero@gentoo.org> (21 May 2010)
811 # development release
812 =dev-db/mongodb-1.5*
813
814 # Justin Lecher <jlec@gentoo.org> (16 May 2010)
815 # Upstreams testing version
816 # Added on request
817 >=sci-chemistry/refmac-5.6
818
819 # Patrick Lauer <patrick@gentoo.org> (07 Apr 2010)
820 # Keeping samba-4 masked until release.
821 >net-fs/samba-4
822
823 # Mike Frysinger <vapier@gentoo.org> (07 Mar 2010)
824 # Very old packages that people should have upgraded away from
825 # long ago. Courtesy mask ... time to upgrade.
826 # Added <sys-fs/e2fsprogs as well (halcy0n)
827 <sys-libs/e2fsprogs-libs-1.41.8
828 <sys-fs/e2fsprogs-1.41.9
829
830 # Robert Piasek <dagger@gentoo.org> (23 Feb 2010)
831 # Masking libmapi as it depends on masked samba4
832 >=net-libs/libmapi-0.9
833
834 # Christian Parpart <trapni@gentoo.org> (23 Dec 2009)
835 # Masked for testing/feedback.
836 media-sound/teamspeak-server-bin
837
838 # Joerg Bornkessel <hd_brummy@gentoo.org> (02 Dec 2009)
839 # cvs ebuild vdr-xineliboutput-9999 masked for lifetime
840 =media-plugins/vdr-xineliboutput-9999
841
842 # Peter Alfredsen <loki_val@gentoo.org> (21 Oct 2009)
843 # Masked because this needs a patch to be applied to portage
844 # to not install the kitchensink and everything else
845 # into /usr/src/debug with FEATURES=installsources
846 =dev-util/debugedit-4.4.6-r2
847
848 # Diego E. Pettenò <flameeyes@gmail.com> (09 Oct 2009)
849 # Untested yet; documented only in Russian, help is appreciated.
850 sys-auth/pam_keystore
851
852 # Diego E. Pettenò <flameeyes@gentoo.org> (08 Aug 2009)
853 # on behalf of QA Team
854 #
855 # Mass-masking of live ebuilds; we cannot guarantee working state of
856 # live ebuilds, nor the availability of the server hosting them. As
857 # per QA team policy, all these need to be kept masked by default, if
858 # available in the tree.
859 ~app-i18n/skk-jisyo-9999
860 net-misc/netcomics-cvs
861 app-portage/layman-dbtools
862 sci-astronomy/casa-data
863 # rdep on the one above
864 sci-astronomy/casacore
865 sci-electronics/kicad
866 dev-ruby/rcsparse
867 # rdep on the one above
868 dev-vcs/fromcvs
869 sci-biology/picard
870 ~dev-libs/libg15-9999
871
872 # Federico Ferri <mescalinum@gentoo.org> (08 Aug 2009)
873 # Doesn't build with Tcl 8.5, has several bugs open
874 =dev-tcltk/tcl-debug-2.0
875
876 # Marijn Schouten <hkBst@gentoo.org> (29 Jul 2009)
877 # Masked for increasingly many problems. Upstream is flaky and hasn't released since 2005.
878 # Maxima is the only consumer and can be built with sbcl or clisp.
879 # Hopefully upstream will do a release that we can add to revive this package.
880 dev-lisp/gcl
881
882 # Jeremy Olexa <darkside@gentoo.org> (28 Jul 2009)
883 # On behalf of Robin H. Johnson <robbat2@gentoo.org>.
884 # These versions are vulnerable to GLSA's and should not be used. They will stay
885 # in the tree because they are useful to tracking down bugs. You have been
886 # warned. bug 271686
887 <dev-db/mysql-5.1.56
888 <virtual/mysql-5.1
889
890 # Nirbheek Chauhan <nirbheek@gentoo.org> (10 Jun 2009)
891 # Several feature regressions that will make our users
892 # go on a witchhunt if unmasked
893 # * No XDMCP connection UI
894 # * No configuration/theming support
895 # * No support for auth backends other than PAM
896 # * Many more...
897 =gnome-base/gdm-2.3*
898
899 # Tiziano Müller <dev-zero@gentoo.org> (08 Apr 2009)
900 # pre-releases
901 net-libs/libinfinity
902 >=app-editors/gobby-0.4.91
903
904 # Paul Varner <fuzzyray@gentoo.org> (06 Apr 2009)
905 # Dead upstream and has issues with newer portages.
906 # Due to popular demand and no suitable replacement, it will stay in the tree
907 # in a masked status until it completely breaks or is replaced.
908 app-portage/udept
909
910 # Diego E. Pettenò <flameeyes@gentoo.org> (03 Jan 2009)
911 # These packages are not supposed to be merged directly, instead
912 # please use sys-devel/crossdev to install them.
913 dev-libs/cygwin
914 dev-util/mingw-runtime
915 dev-util/mingw64-runtime
916 dev-util/w32api
917 sys-libs/newlib
918 dev-embedded/msp430-binutils
919 dev-embedded/msp430-gcc
920 dev-embedded/msp430-gdb
921 dev-embedded/msp430-libc
922 dev-embedded/msp430mcu
923 dev-embedded/avr-libc
924
925 # Peter Volkov <pva@gentoo.org> (16 Nov 2008)
926 # The development branch, to be unmasked when out of beta by upstream.
927 =net-misc/socat-2.0.0*
928
929 # Steve Dibb <beandog@gentoo.org> (05 Nov 2008)
930 # Mask realplayer codecs for security bug 245662
931 media-libs/amd64codecs
932 media-libs/realcodecs
933
934 # Doug Goldstein <cardoe@gentoo.org> (17 Sep 2008)
935 # under development
936 gnome-extra/gnome-lirc-properties
937
938 # Markus Ullmann <jokey@gentoo.org> (07 Jul 2008)
939 # mask for security bug #190667 (CVE-2007-{4584,5839})
940 # and for various other build problems (bug #425634)
941 #
942 # both CVEs are fixed in upstream version control as per:
943 # http://bitchx.svn.sourceforge.net/svnroot/bitchx/trunk/Changelog
944 net-irc/bitchx
945
946 # Vlastimil Babka <caster@gentoo.org> (20 May 2008)
947 # Masked for testing
948 app-arch/rpm5
949
950 # Chris Gianelloni <wolf31o2@gentoo.org> (03 Mar 2008)
951 # Masking due to security bug #194607 and security bug #204067
952 games-fps/doom3
953 games-fps/doom3-cdoom
954 games-fps/doom3-chextrek
955 games-fps/doom3-data
956 games-fps/doom3-demo
957 games-fps/doom3-ducttape
958 games-fps/doom3-eventhorizon
959 games-fps/doom3-hellcampaign
960 games-fps/doom3-inhell
961 games-fps/doom3-lms
962 games-fps/doom3-mitm
963 games-fps/doom3-phantasm
964 games-fps/doom3-roe
965 games-fps/quake4-bin
966 games-fps/quake4-data
967 games-fps/quake4-demo
968
969 # Piotr Jaroszyński <peper@gentoo.org> (26 Nov 2007)
970 # opensync live ebuilds
971 =app-pda/libsyncml-9999
972 =app-pda/libopensync-9999
973 =app-pda/osynctool-9999
974 =app-pda/libopensync-plugin-evolution2-9999
975 =app-pda/libopensync-plugin-file-9999
976 =app-pda/libopensync-plugin-gnokii-9999
977 =app-pda/libopensync-plugin-gpe-9999
978 =app-pda/libopensync-plugin-irmc-9999
979 =app-pda/libopensync-plugin-palm-9999
980 =app-pda/libopensync-plugin-python-9999
981 =app-pda/libopensync-plugin-syncml-9999
982 =app-pda/libopensync-plugin-vformat-9999
983
984 # MATSUU Takuto <matsuu@gentoo.org> (05 Apr 2007)
985 # to be tested, seems unstable
986 >=app-i18n/scim-anthy-1.3.0
987
988 # Tavis Ormandy <taviso@gentoo.org> (21 Mar 2006)
989 # masked pending unresolved security issues #127167
990 games-roguelike/slashem
991
992 # Tavis Ormandy <taviso@gentoo.org> (21 Mar 2006)
993 # masked pending unresolved security issues #125902
994 games-roguelike/nethack
995 games-util/hearse
996
997 # Robin H. Johnson <robbat2@gentoo.org> (11 Feb 2006)
998 # zlib interaction is badly broken. See bug #124733.
999 =dev-vcs/cvs-1.12.13*
1000
1001 # <klieber@gentoo.org> (01 Apr 2004)
1002 # The following packages contain a remotely-exploitable
1003 # security vulnerability and have been hard masked accordingly.
1004 #
1005 # Please see http://bugs.gentoo.org/show_bug.cgi?id=44351 for more info
1006 #
1007 games-fps/unreal-tournament-goty
1008 games-fps/unreal-tournament-strikeforce
1009 games-fps/unreal-tournament-bonuspacks
1010 games-fps/aaut

  ViewVC Help
Powered by ViewVC 1.1.20